Last modified: 2014-02-12 23:52:43 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 41412 - Android section issues (2.2.2, 2.3.4 and 2.3.5)
Android section issues (2.2.2, 2.3.4 and 2.3.5)
Status: RESOLVED FIXED
Product: MobileFrontend
Classification: Unclassified
stable (Other open bugs)
unspecified
All All
: High major
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 06:00 UTC by Jon
Modified: 2014-02-12 23:52 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jon 2012-10-26 06:00:46 UTC
Various users have reported issues with the Wildfire and other older Android 2.x devices

1. https://twitter.com/vickiwithanI_/status/261544396716130304

2. I'm having problems with interacting with the site. Touching links often
gets no response and sometimes takes me to unexpected places. For example,
I touched the image in an image preview to get the full-size view, and it
took me to a related article.

(User-agent: Mozilla/5.0 (Linux; U; Android 2.3.4; en-us; SCH-R720
Build/GINGERBREAD) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile
Safari/533.1)

3. ...now I can see the sections, if opened can not be closed and finally 
Internet crashes.

(User-agent: Mozilla/5.0 (Linux, U, Android 2.3.5, en-us; 
HTC_WildfireS Build/GRJ90-orange-LS) AppleWebKit/533.1 (KHTML, like Gecko) 
Version/4.0 Mobile Safari/533.1 )

4. These problems are happening since 25th October 2012. It's become a real
pain.

1) The new mobile version of Wikipedia is too slow in its response.
2) It's difficult to open sections of an article.
3) If I click on a link I don't know if its working or not.
4) worst of all is that it hangs every now and then. The page won't even
refresh.

(User-agent: Mozilla/5.0 (Linux; U; Android 2.3.3; en-in; HTC ChaCha A810e
Build/GRI40) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile
Safari/533.1)

5. I am facing some issue in accessing Wikipedia the touch responce is very
bad , when I click any topic it is not opening properly .. ( User-agent: Mozilla/5.0 (Linux; U; Android 2.3.5; en-in; HTC_Explorer_A310e
Build/GRJ90) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile
Safari/533.1 )
Comment 1 Jon 2012-10-26 20:00:53 UTC
Just a suspicion:
I wonder if this is related to use of boxshadow / gradient usage in css
Comment 2 Brion Vibber 2012-10-26 20:05:17 UTC
I can't repro these problems on all pages on my Nexus One (2.3.6) but some pages seem flakier than others.

http://en.m.wikipedia.org/wiki/South_Africa seems flaky for instance and I sometimes have trouble tapping links or opening sections; other big pages may have similar problems?
Comment 3 Jon 2012-10-26 20:20:19 UTC
I've reached out to a user to test whether it is related to the gradient usage in the header or to the javascript. Will let you know if I discover anything interesting.

I've also got Tomasz to order a similar model of phone to test on.
Comment 4 Jon 2012-10-27 17:23:14 UTC
Another report:
Fyi - since your recent mobile framework change, several accordian and
other list objects no longer respond. I have cleared the browser cache and
even shutdown/restarted the device.

The Congee page is not the only page with unresposive objects. Thankfully
the main page seems to be working so this messsage can be sent to you.

User-agent: Mozilla/5.0 (Linux; U; Android 2.3.4; en-us; LGL55C
Build/GRJ22) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile
Safari/533.1
Source: MobileFrontend
Referring page: Congee
Comment 5 Jon 2012-10-27 17:26:17 UTC
... when tapping the down arrow to open a section of an article, more often than not, nothing happens; many attempts and it finally opens. This problem occurs in either m.Wikipedia.org or
mobile.Wikipedia.org regardless of browser. However, using ...(snip)... Opera
Mini, this problem does not happen.

User-agent: Mozilla/5.0 (Linux; U; Android 2.2.2; en-us; SPH-M910
Build/FROYO) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile
Safari/533.1
Source: MobileFrontend
Referring page: Main Page
Comment 6 Jon 2012-10-29 18:09:45 UTC
Yet more feedback

"After playing around with this and other problem pages more, it might be
more a latency problem than total unresponsiveness.

I've found that if I click multiple times on the problem object but <not
too quickly> like approx, one tap per second, the object may function (drop
down if it's an accordian object)." -  User-agent: Mozilla/5.0 (Linux; U; Android 2.3.4; en-us; LGL55C Build/GRJ22) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile Safari/533.1

****

Bad scrolling.

User-agent: Mozilla/5.0 (Linux; U; Android 2.3.6; fr-fr; GT-S5360
Build/GINGERBREAD) AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile
Safari/533.1
Comment 7 Jon 2012-10-29 18:11:28 UTC
..and
The recent update to your mobile site has rendered it almost useless. About
80% the sections won't open when you tap the arrow. Most hypertext links
don't open either.

User-agent: Mozilla/5.0 (Linux; U; Android 2.2.3; en-us; Droid Build/FRK76)
AppleWebKit/533.1 (KHTML, like Gecko) Version/4.0 Mobile Safari/533.1
Comment 8 Jon 2012-10-29 21:52:58 UTC
and we have a fix  https://gerrit.wikimedia.org/r/30701

Hurray for the HTC Wildfire that arrived in the office today!
Comment 9 Arthur Richards 2012-10-30 22:28:53 UTC
Merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links